
Redmine - Defect #2683

!img! tag can result in wrong images used

2009-02-05 20:30 - Thomas P.

Status: Closed Start date: 2009-02-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 0.8.1   

Resolution: Fixed Affected version:  

Description

 img  tags to display attached images in a wiki page can pick up the wrong image because there seems to be some kind of matching

involved.

Example: if there are two files "button.png" and "v_button.png" and one uses button.png  to display the first picture, the second one

will be displayed.

See http://redmine.lighttpd.net/projects/lighttpd/wiki/PromotionalArtwork where the first group of pictures is the same as the second

while the second having different filenames (prefix "v_").

A solution would be to not use matching in order to find the file in question.

Associated revisions

Revision 2363 - 2009-02-05 21:25 - Jean-Philippe Lang

Fixed: inline attached image should not match partial filename (#2683).

History

#1 - 2009-02-05 21:19 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.1

- Resolution set to Fixed

Fixed in r2363.

#2 - 2009-02-09 19:47 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8 branch in r2425.
